Situação da subconta do lojista
curl --request GET \
--url https://v4pay-api.vercel.app/receiving-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://v4pay-api.vercel.app/receiving-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v4pay-api.vercel.app/receiving-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"existe": true,
"account_id": "<string>",
"wallet_id": "<string>",
"status": "creating",
"environment": "test",
"webhook_registered": true,
"pix_key": "<string>",
"pix_key_status": "ACTIVE",
"fee_percent": 123,
"fee_fixed": 123,
"aprovacao": {
"aprovada": true,
"conferida": true,
"geral": "PENDING",
"dados_comerciais": "PENDING",
"conta_bancaria": "PENDING",
"documentos": "PENDING",
"conferida_em": "2023-11-07T05:31:56Z",
"link_documentos": "<string>",
"link_documentos_qr": "<string>",
"motivos_recusa": "<string>"
},
"conta_unica": true,
"configuracao_pendente": true,
"provedor_configurado": true,
"modo": "conta_unica",
"mensagem": "<string>"
}
}{
"error": "Token JWT ou chave de API ausente"
}Conta de recebimento
Situação da subconta do lojista
Diz se o lojista já tem conta de recebimento no ambiente da requisição (teste ou produção). Nunca devolve a chave de API da subconta.
GET
/
receiving-account
Situação da subconta do lojista
